/*----- PROTECTED REGION ID(Agilent4uhvStateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id: Agilent4uhvStateMachine.cpp,v 1.9 2018-05-10 08:04:51 alessio Exp $";
//=============================================================================
//
// file :        Agilent4uhvStateMachine.cpp
//
// description : State machine file for the Agilent4uhv class
//
// project :     
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author: alessio $
//
// $Revision: 1.9 $
// $Date: 2018-05-10 08:04:51 $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <Agilent4uhv.h>

/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::Agilent4uhvStateMachine.cpp

//================================================================
//  States   |  Description
//================================================================
//  ON       |  
//  ALARM    |  
//  UNKNOWN  |  
//  FAULT    |  
//  INIT     |  


namespace Agilent4uhv_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_Model_allowed()
 *	Description : Execution allowed for Model attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_Model_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::ModelStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::ModelStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_SerialNumber_allowed()
 *	Description : Execution allowed for SerialNumber attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_SerialNumber_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::SerialNumberStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::SerialNumberStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_Temperature_allowed()
 *	Description : Execution allowed for Temperature attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_Temperature_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::TemperatureStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::TemperatureStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_HVX_allowed()
 *	Description : Execution allowed for HVX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_HVX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::HVXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::HVXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_DeviceNumberX_allowed()
 *	Description : Execution allowed for DeviceNumberX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_DeviceNumberX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::DeviceNumberXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::DeviceNumberXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::DeviceNumberXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::DeviceNumberXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_PowerMaxX_allowed()
 *	Description : Execution allowed for PowerMaxX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_PowerMaxX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::PowerMaxXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::PowerMaxXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::PowerMaxXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::PowerMaxXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_VTargetX_allowed()
 *	Description : Execution allowed for VTargetX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_VTargetX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::VTargetXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::VTargetXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::VTargetXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::VTargetXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_IProtectX_allowed()
 *	Description : Execution allowed for IProtectX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_IProtectX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::IProtectXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::IProtectXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::IProtectXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::IProtectXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_SetPointX_allowed()
 *	Description : Execution allowed for SetPointX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_SetPointX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::SetPointXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::SetPointXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::SetPointXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::SetPointXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_TemperatureHVX_allowed()
 *	Description : Execution allowed for TemperatureHVX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_TemperatureHVX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::TemperatureHVXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::TemperatureHVXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_VoltageX_allowed()
 *	Description : Execution allowed for VoltageX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_VoltageX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::VoltageXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::VoltageXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_CurrentX_allowed()
 *	Description : Execution allowed for CurrentX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_CurrentX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::CurrentXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::CurrentXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_PressureX_allowed()
 *	Description : Execution allowed for PressureX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_PressureX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::PressureXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::PressureXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_StateX_allowed()
 *	Description : Execution allowed for StateX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_StateX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::StateXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::StateXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_StatusX_allowed()
 *	Description : Execution allowed for StatusX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_StatusX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::StatusXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::StatusXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_AutoStartX_allowed()
 *	Description : Execution allowed for AutoStartX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_AutoStartX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::AutoStartXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::AutoStartXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::AutoStartXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::AutoStartXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_ProtectX_allowed()
 *	Description : Execution allowed for ProtectX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_ProtectX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::ProtectXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::ProtectXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::ProtectXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::ProtectXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_FixedStepX_allowed()
 *	Description : Execution allowed for FixedStepX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_FixedStepX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Check access type.
	if ( type!=Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for WRITE 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::FixedStepXStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::FixedStepXStateAllowed_WRITE
			return false;
		}
		return true;
	}
	else

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::FixedStepXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::FixedStepXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_StatusSetPointX_allowed()
 *	Description : Execution allowed for StatusSetPointX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_StatusSetPointX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::StatusSetPointXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::StatusSetPointXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_InterlockStatusX_allowed()
 *	Description : Execution allowed for InterlockStatusX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_InterlockStatusX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::InterlockStatusXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::InterlockStatusXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_StatMaskX_allowed()
 *	Description : Execution allowed for StatMaskX attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_StatMaskX_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::UNKNOWN ||
			get_state()==Tango::FAULT ||
			get_state()==Tango::INIT)
		{
		/*----- PROTECTED REGION ID(Agilent4uhv::StatMaskXStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::StatMaskXStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OffHV1_allowed()
 *	Description : Execution allowed for OffHV1 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OffHV1_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OffHV1StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OffHV1StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OffHV2_allowed()
 *	Description : Execution allowed for OffHV2 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OffHV2_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OffHV2StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OffHV2StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OnHV1_allowed()
 *	Description : Execution allowed for OnHV1 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OnHV1_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OnHV1StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OnHV1StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OnHV2_allowed()
 *	Description : Execution allowed for OnHV2 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OnHV2_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OnHV2StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OnHV2StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OffHV3_allowed()
 *	Description : Execution allowed for OffHV3 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OffHV3_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OffHV3StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OffHV3StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OffHV4_allowed()
 *	Description : Execution allowed for OffHV4 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OffHV4_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OffHV4StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OffHV4StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OnHV3_allowed()
 *	Description : Execution allowed for OnHV3 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OnHV3_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OnHV3StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OnHV3StateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : Agilent4uhv::is_OnHV4_allowed()
 *	Description : Execution allowed for OnHV4 attribute
 */
//--------------------------------------------------------
bool Agilent4uhv::is_OnHV4_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN ||
		get_state()==Tango::FAULT ||
		get_state()==Tango::INIT)
	{
	/*----- PROTECTED REGION ID(Agilent4uhv::OnHV4StateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::OnHV4StateAllowed
		return false;
	}
	return true;
}


/*----- PROTECTED REGION ID(Agilent4uhv::Agilent4uhvStateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	Agilent4uhv::Agilent4uhvStateAllowed.AdditionalMethods

}	//	End of namespace
